Bug 161276 - Wine cvs (and older) won't compile
Summary: Wine cvs (and older) won't compile
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4   
(Show other bugs)
Version: 4
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-21 22:45 UTC by Thomas Ahle
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-11 17:05:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas Ahle 2005-06-21 22:45:35 UTC
Description of problem:
Wine fails to compile, 

How reproducible:
Always

Steps to Reproduce:
1. get wine cvs
2. do ./tools/wineinstall
  
Additional info:
path.c: In function âfunc_pathâ:
path.c:909: error in translation: i finalize_ssa_defs, at tree-ssa-operands.c:351
Please send in a compleate error report.
Look at <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
The bug is not reproducible, so it is likely a hardware or OS problem.
make[3]: *** [path.o] Fejl 1
make[3]: Leaving directory `/tmp/wine/dlls/kernel/tests'
make[2]: *** [tests] Fejl 2
make[2]: Leaving directory `/tmp/wine/dlls/kernel'
make[1]: *** [kernel] Fejl 2
make[1]: Leaving directory `/tmp/wine/dlls'
make: *** [dlls] Fejl 2

Compilation failed, aborting install.


I don't think it's an error on my system, as I've just made a clean install.

Comment 1 Jakub Jelinek 2005-06-21 23:19:22 UTC
"The bug is not reproducible, so it is likely a hardware or OS problem."

Are you sure you can reproduce the bug always when the compiler driver can't
reproduce it 3 times in a row?

If it is reproduceable, please attach preprocessed source and what options
were passed to gcc on the command line to reproduce it.
Otherwise the most likely culprit is your hardware.

Comment 2 Jakub Jelinek 2005-07-11 17:05:33 UTC
Assuming it is a hardware issue.  If you can reproduce it, with the same
error same file, please reopen with preprocessed source.


Note You need to log in before you can comment on or make changes to this bug.